##REST FTP Proxy

This runs a local FTP server (on localhost) that will communicate with a remote web server over HTTP/REST. This allows you to upload/download your files using your favorite FTP client even when the remote host doesn't support FTP.

To use it, you must deploy the endpoint file (see examples/endpoint.php) to your remote host and supply the url to this endpoint when starting the local FTP proxy.

Note: this tool is built with [Node.js](https://nodejs.org) and is installed via [npm](https://www.npmjs.org) so make sure to have Node installed.
 
###Installation:

    npm install rest-ftp-proxy

###Usage:

    rest-ftp proxy [--port 2121] [--host 127.0.0.1] http://my-site.example.com/endpoint.php

###Connecting over FTP

Open your favorite FTP client, for instance [FileZilla](https://filezilla-project.org/) and create a new connection with the following details:

 * Host: `127.0.0.1`
 * Port: `2121`
 * Username: `{endpoint-username}`
 * Password: `{endpoint-password}`

The username/password is hard-coded in the endpoint file (see examples/endpoint.php) or can be specified as an environment variable on the server.

Todo:

I'd like to get this working with [ExpanDrive](http://www.expandrive.com/) to mount remote site as a local directory. To do so, I need to implement ranges for both upload and download.

[Follow me on Twitter](https://twitter.com/simonsturmer) for updates!

Have fun.
